summaryrefslogtreecommitdiffstats
path: root/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/tldk/include-raw-csit-tldk-functional-virl.sh')
-rw-r--r--jjb/tldk/include-raw-csit-tldk-functional-virl.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
index 1f57e8255..0192a125b 100644
--- a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
+++ b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
@@ -1,13 +1,22 @@
#!/bin/bash
set -xeu -o pipefail
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+ exit 1
+fi
+
# Clone csit and start tests
git clone https://gerrit.fd.io/r/csit
# If the git clone fails, complain clearly and exit
if [ $? != 0 ]; then
echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
-exit
+ exit 1
fi
cd csit